import React, { useContext, useMemo } from 'react';
import Select from 'react-select';
import { DisplayErrorCtx } from './CustomForm';
const CustomFormFieldSelect = ({
  label,
  options = [],
  value,
  onChange,
  isValid = true,
  noOptionMessage = 'Aucun résultat',
  placeholder = '',
  disabled = false,
  multi = false
}, ref) => {
  const displayError = useContext(DisplayErrorCtx);
  const formattedValue = useMemo(() => !multi ? options.find(o => o.value === value) : options.filter(o => value.includes(o.value)), [value, options]);
  return /*#__PURE__*/React.createElement(Select, {
    className: `react-select ${!isValid && displayError ? 'is-invalid' : ''}`,
    value: formattedValue,
    onChange: val => onChange(multi ? val.map(v => v.value) : val),
    options: options,
    noOptionsMessage: () => noOptionMessage,
    placeholder: placeholder,
    isDisabled: disabled,
    isMulti: multi
  });
};
export default CustomFormFieldSelect;